Bug 1493688 - Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lua-sql
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1486480
TreeView+ depends on / blocked
 
Reported: 2017-09-20 17:18 UTC by Michal Schorm
Modified: 2018-05-14 11:25 UTC (History)
1 user (show)

Fixed In Version: lua-sql-2.3.5-7.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 12:44:03 UTC
Type: Bug
tim: needinfo-


Attachments (Terms of Use)

Description Michal Schorm 2017-09-20 17:18:45 UTC
Hello, please apply following command to the package SPECfile:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-connector-c-devel/mariadb-connector-c-devel openssl-devel/" $(fedpkg gimmespec) ;

I've tested, that after the command ^ the package builds successfuly in KOJI and uses mariadb client library.

This change is currently applicable to the Rawhide (f28) only.




For more information check the tracking bugzilla.

Comment 1 Michal Schorm 2017-12-13 12:40:28 UTC
Hello,
 any update regarding this issue?

Comment 2 Fedora End Of Life 2018-02-20 15:37:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Fedora Update System 2018-03-07 08:54:27 UTC
lua-sql-2.3.5-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5042db7f68

Comment 4 Fedora Update System 2018-03-08 15:27:10 UTC
lua-sql-2.3.5-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5042db7f68

Comment 5 Fedora Update System 2018-03-30 12:44:03 UTC
lua-sql-2.3.5-7.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.